﻿package MT::Plugin::EntryReview;
use strict;
use MT;
use MT::Plugin;

require MT::Plugin;

our $VERSION = '0.1';

use base qw( MT::Plugin );

@MT::Plugin::EntryReview::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::EntryReview({
    id => 'EntryReview',
    key => 'entryreview',
    name => 'EntryReview',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    description => '<MT_TRANS phrase=\'_PLUGIN_DESCRIPTION\'>',
    'version' => $VERSION,
    l10n_class => 'EntryReview::L10N',
});

MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            'MT::App::CMS::template_source.edit_entry'
                => \&_status_review_active,
            'MT::App::CMS::template_param.edit_entry'
                => \&_set_status_review,
            'MT::App::CMS::template_source.list_entry'
                => \&_add_list_status,
        },
   });
}

sub _status_review_active {
    my ($cb, $app, $tmpl) = @_;
    $$tmpl =~ s/<mt:if\sname="status_review">/<mt:if name="status_review_active">/;
}

sub _set_status_review {
    my ($cb, $app, $param) = @_;
    $param->{'status_review_active'} = 1;
    if ($param->{'status'} == MT::Entry::REVIEW) {
        $param->{'status_review'} = 1;
    }
}

sub _add_list_status {
    my ($cb, $app, $tmpl) = @_;
    my $opt = '<option value="1"><__trans phrase="Unpublished (Draft)"></option>';
    $opt .= '<option value="3"><__trans phrase="Unpublished (Review)"></option>';
    $$tmpl =~ s/<option\svalue="1"><__trans\sphrase="unpublished"><\/option>/$opt/g;
}

1;